package com.kupal.ahk.dict;

import static java.awt.event.KeyEvent.*;

/**
 * @author Krauchenia Sergey
 *         Date: 13.10.2010
 *         Time: 16:28:45
 */
public enum Key {

    A(VK_A),
    B(VK_B),
    C(VK_C),
    D(VK_D),
    E(VK_E),
    F(VK_F),
    G(VK_G),
    H(VK_H),
    I(VK_I),
    J(VK_J),
    K(VK_K),
    L(VK_L),
    M(VK_M),
    N(VK_N),
    O(VK_O),
    P(VK_P),
    Q(VK_Q),
    R(VK_R),
    S(VK_S),
    T(VK_T),
    U(VK_U),
    V(VK_V),
    W(VK_W),
    X(VK_X),
    Y(VK_Y),
    Z(VK_Z),
    TAB(VK_TAB),
    CAPS_LOCK(VK_CAPS_LOCK),
    SHIFT(VK_SHIFT),
    CTRL(VK_CONTROL),
    ALT(VK_ALT),
    SPACE(VK_SPACE),
    INSERT(VK_INSERT),
    DELETE(VK_DELETE),
    END(VK_END),
    HOME(VK_HOME),
    PAGE_UP(VK_PAGE_UP),
    PAGE_DOWN(VK_PAGE_DOWN),
    PRT_SC(VK_PRINTSCREEN),
    F1(VK_F1),
    F2(VK_F2),
    F3(VK_F3),
    F4(VK_F4),
    F5(VK_F5),
    F6(VK_F6),
    F7(VK_F7),
    F8(VK_F8),
    F9(VK_F9),
    F10(VK_F10),
    F11(VK_F11),
    F12(VK_F12),
    ESC(VK_ESCAPE),
    TILDA(VK_DEAD_TILDE),
    NUM_LOCK(VK_NUM_LOCK),
    ASTERISK(VK_ASTERISK),
    SLASH(VK_SLASH),
    MINUS(VK_MINUS),
    PLUS(VK_PLUS),
    DOT(0),
    ONE(VK_1),
    TWO(VK_2),
    THREE(VK_3),
    FOUR(VK_4),
    FIVE(VK_5),
    SIX(VK_6),
    SEVEN(VK_7),
    EIGHT(VK_8),
    NINE(VK_9),
    ZERO(VK_0),
    MOUSE_LEFT(BUTTON1_MASK),
    MOUSE_RIGHT(BUTTON3_MASK);

    public int id;

    Key(int id) {
        this.id = id;
    }
}
